EDIT - bug #7475

error when saving Reference editor with new empty Person in Team when OK or NEW was not
pressed

06/14/2018 02:33 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: major Found in Version:

Description

...Dazu wollte ich zunachst eine neue Referenz erstellen.
Neues Autorenteam mit einem neu erstellten Autor, hatte beim 2. Autor ,,OK" vergessen, siehe ScreenShot 1
Beim Speichern:

Caused by: org.hibernate.exception.ConstraintViolationException: could not execute statement

at org.hibernate.exception.internal.SQLExceptionTypeDelegate.convert (SQLExceptionTy
peDelegate.java:59)

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (StandardS
QLExceptionConverter. java:42)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper. java
:109)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper. java
:95)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetRe
turnImpl.java:207)

at org.hibernate.engine. jdbc.batch.internal.NonBatchingBatch.addToBatch (NonBatching
Batch. java:45)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPers
ister.java:2886)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPers
ister.java:3386)

at org.hibernate.action.internal.EntityInsertAction.execute (EntityInsertAction. java
:89)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:560)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:434)

at org.hibernate.event.internal.AbstractFlushingEventListener.performExecutions (Abs
tractFlushingEventListener. java:337)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEvent
Listener.java:39)

at org.hibernate.internal.SessionImpl.flush (SessionImpl. java:1282)

at org.hibernate.envers.internal.synchronization.AuditProcess.doBeforeTransactionCo
mpletion (AuditProcess. java:156)

at org.hibernate.envers.internal.synchronization.AuditProcessManager$l.doBeforeTran
sactionCompletion (AuditProcessManager.java:46)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.bef
oreTransactionCompletion (ActionQueue. java:899)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. jav
a:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:
2340)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompleti
on (JdbcCoordinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransa
ctionCoordinatorImpl.beforeCompletionCallback (JdbcResourcelocalTransactionCoordinatorImpl. java:147
)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransa
ctionCoordinatorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransa
ctionCoordinatorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorIm
pl.java:231)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl
.java:65)

at org.springframework.orm.hibernateb.HibernateTransactionManager.doCommit (Hibernat
eTransactionManager. java:581)

100 more

Caused by: com.mysqgl.jdbc.exceptions. jdbc4.MySQLIntegrityConstraintViolationException: Column 'tea
mMembers_id' cannot be null

at sun.reflect.NativeConstructorAccessorImpl.newInstance(O (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorl
mpl.java:62)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorA
ccessorImpl. java:45)

at java.lang.reflect.Constructor.newlInstance (Constructor.java:423)

at com.mysqgl. jdbc.Util.handleNewInstance (Util. java:404)

at com.mysqgl. jdbc.Util.getInstance (Util. java:387)

at com.mysqgl. jdbc.SQLError.createSQLException (SQLError.java:932)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3878)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl. jdbc.MysglIO.sglQueryDirect (MysglIO. java:2625)

at com.mysqgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executeInternal (PreparedStatement.java:1861)

at com.mysqgl. jdbc.PreparedStatement.executeUpdateInternal (PreparedStatement. java:20
73)

at com.mysqgl. jdbc.PreparedStatement.executeUpdatelInternal (PreparedStatement. java:20
09)

at com.mysqgl. jdbc.PreparedStatement.executelargeUpdate (PreparedStatement.java:5094)

at com.mysqgl. jdbc.PreparedStatement.executeUpdate (PreparedStatement. java:1994)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPrepare
dStatement. java:384)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetRe
turnImpl. java:204)

120 more
entered time peno

of Navicula adminensis D Rt 5 & McMinn (“"Nawvicula adminii* D Roberts & McMinn) (Naviculaceae, Bac

Team members

In-referer

Notulae algarum

Volume

Related issues:
Related to EDIT - bug #7477: TeamOrPersonField: ToManyRelatedEntitiesListSele... Closed
Has duplicate EDIT - bug #7327: ReferencePopupEditor: multiple exceptions and... Duplicate

Associated revisions

Revision eded01b7 - 06/14/2018 06:05 PM - Andreas Kohlbecker

fix #7475 removing empty rows from ToManyRelatedEntitiesListSelect on commit

History

#1 - 06/14/2018 03:12 PM - Andreas Kohlbecker

- Has duplicate bug #7327: ReferencePopupEditor: multiple exceptions and problems during creation of a journal section added

#2 - 06/14/2018 05:38 PM - Andreas Kohlbecker
- Related to bug #7477: TeamQOrPersonField: ToManyRelatedEntitiesListSelect blocks removing new entries added

#3 - 06/14/2018 06:05 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin 1b72d14 f23f53712¢2¢92

#4 - 06/14/2018 06:07 PM - Andreas Kohlbecker

problem solved please review

#5 - 06/15/2018 03:09 PM - Wolf-Henning Kusber
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/eded01b72d14bd68f23f53712c2c920a3134eaa3

Ausgewahlte authors ohne OK werden ignoriert, es gibt keinen Fehler und speichern ist moglich.
Das author team kann im Uberarbeitungsmodus korrigiert werden.

Kein Fehler mehr, aber fehlerhafte Eingabe ist mdglich, insofern missen wir weiterhin auf usability achten.

#6 - 06/15/2018 04:37 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Vorschlage zu besserer Usability sollten wir in ein neues Ticket erfassen, dieses hier bezieht sich auf den Fehlerfall, der nicht mehr auftritt. Damit
kénnen wir es also schlie3en.
